Bug 1020376 - regression in event deregistration
regression in event deregistration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
: Regression
Depends On: 1020372
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 10:36 EDT by Eric Blake
Modified: 2014-06-17 20:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: libvirt-1.1.1-10.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1020372
Environment:
Last Closed: 2014-06-13 07:45:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test file (6.67 KB, text/plain)
2013-10-25 03:38 EDT, zhe peng
no flags Details

  None (edit)
Description Eric Blake 2013-10-17 10:36:24 EDT
cloning to RHEL 7

+++ This bug was initially created as a clone of Bug #1020372 +++

Description of problem:
Quoting from upstream:

> When I quit the process which only register VIR_DOMAIN_EVENT_ID_REBOOT, I got error like:
> "libvirt: XML-RPC error : internal error: domain event 0 not registered".

Version-Release number of selected component (if applicable):
all libvirt builds based on 0.9.9 and later

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
https://www.redhat.com/archives/libvir-list/2013-October/msg00798.html
Comment 5 zhe peng 2013-10-25 03:36:25 EDT
I can reproduce this with build:
libvirt-1.1.1-9.el7 

verify with build:
libvirt-1.1.1-10.el7 

step:
 write a c file to test this:
 add below in file:
....
  callback1ret = virConnectDomainEventRegisterAny(conn,
                                                    dom1,
                                                    VIR_DOMAIN_EVENT_ID_REBOOT,
                                                    VIR_DOMAIN_EVENT_CALLBACK(myDomainEventCallback2),
                                                    strdup("cb1"), myFreeFunc);
....

#gcc test.c -o test -lvirt
the error not occured. check souce file, patch applied, move to verified
Comment 6 zhe peng 2013-10-25 03:38:15 EDT
Created attachment 816031 [details]
test file
Comment 7 Ludek Smid 2014-06-13 07:45:56 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.